import { SystemValues, System } from 'types/system';
declare const useMountPlugin: () => {
    plugin(sys: System): {
        statePlugins: {
            editor: {
                actions: {
                    propChanged: import("../actions").PropChangedAction;
                };
            };
        };
    };
    getSystem(): SystemValues;
};
export default useMountPlugin;
